PipeWire: pw_protocol_native_ext Struct Reference

PipeWire 1.0.3

Loading...
Searching...
No Matches
Data Fields
pw_protocol_native_ext Struct Reference
Extensions » Native Protocol

pw_protocol_native_ext methods More...

`#include <pipewire/extensions/protocol-native.h>`

## Data Fields
uint32_t | version
struct spa_pod_builder *(* | begin_proxy )(struct pw_proxy *proxy, uint8_t opcode, struct pw_protocol_native_message **msg)
uint32_t(* | add_proxy_fd )(struct pw_proxy *proxy, int fd)
int(* | get_proxy_fd )(struct pw_proxy *proxy, uint32_t index)
int(* | end_proxy )(struct pw_proxy *proxy, struct spa_pod_builder *builder)
struct spa_pod_builder *(* | begin_resource )(struct pw_resource *resource, uint8_t opcode, struct pw_protocol_native_message **msg)
uint32_t(* | add_resource_fd )(struct pw_resource *resource, int fd)
int(* | get_resource_fd )(struct pw_resource *resource, uint32_t index)
int(* | end_resource )(struct pw_resource *resource, struct spa_pod_builder *builder)

## Detailed Description

pw_protocol_native_ext methods

## Field Documentation

## ◆ version

uint32_t pw_protocol_native_ext::version

## ◆ begin_proxy

struct spa_pod_builder *(* pw_protocol_native_ext::begin_proxy) (struct pw_proxy *proxy, uint8_t opcode, struct pw_protocol_native_message **msg)

## ◆ add_proxy_fd

uint32_t(* pw_protocol_native_ext::add_proxy_fd) (struct pw_proxy *proxy, int fd)

## ◆ get_proxy_fd

int(* pw_protocol_native_ext::get_proxy_fd) (struct pw_proxy *proxy, uint32_t index)

## ◆ end_proxy

int(* pw_protocol_native_ext::end_proxy) (struct pw_proxy *proxy, struct spa_pod_builder *builder)

## ◆ begin_resource

struct spa_pod_builder *(* pw_protocol_native_ext::begin_resource) (struct pw_resource *resource, uint8_t opcode, struct pw_protocol_native_message **msg)

## ◆ add_resource_fd

uint32_t(* pw_protocol_native_ext::add_resource_fd) (struct pw_resource *resource, int fd)

## ◆ get_resource_fd

int(* pw_protocol_native_ext::get_resource_fd) (struct pw_resource *resource, uint32_t index)

## ◆ end_resource

int(* pw_protocol_native_ext::end_resource) (struct pw_resource *resource, struct spa_pod_builder *builder)

The documentation for this struct was generated from the following file:

- pipewire/extensions/protocol-native.h